Bug 30555 - iptables-save is saving wrong rules
Summary: iptables-save is saving wrong rules
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-04 15:28 UTC by Avi Alkalay
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 20:46:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Avi Alkalay 2001-03-04 15:28:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.4.0-0.26 i686)


Using iptables-1.2.0-8 from rawhite. Kernel 2.4.0-0.26 from RH7.0 preview
uname -a: Linux floripa 2.4.0-0.26 #1 Fri Aug 25 09:01:11 EDT 2000 i586
unknown

After making my rules (and testing them) iptables-save generates wrong
data.

Reproducible: Always
Steps to Reproduce:
1. iptables -t nat -A POSTROUTING -p ALL -s 172.16.173.0/24 -d !
172.16.173.0/24 -o ppp+ -j MASQUERADE
2. Making 'iptables -L -t nat' I got:
---------------
Chain POSTROUTING (policy ACCEPT)
target     prot opt source               destination         
MASQUERADE  all  --  172.16.173.0/24     !172.16.173.0/24
---------------
Pay attention to the '!' in front of the destination net.

3. Making iptables-save -c (as /etc/init.d/iptables does) I got:
---------------
:POSTROUTING ACCEPT [12:895]
[7:420] -s 172.16.173.0/255.255.255.0 -d 172.16.173.0/255.255.255.0 -o ppp
-j MASQUERADE
---------------
Without the '!' in front of the destination net.

Comment 1 Glen Foster 2001-03-05 20:46:53 UTC
We (Red Hat) should really address this before the next release.

Comment 2 Bernhard Rosenkraenzer 2001-03-06 13:26:58 UTC
This is fixed in 1.2.0-10



Note You need to log in before you can comment on or make changes to this bug.